- Create an external page (or update an external page by external ID)
You can create a new external page by sending a POST request to this endpoint. If an external page already exists with the specified source_id and external_id, it will be updated instead.
Intercom API version.
By default, it's equal to the version set in the app package.
The URL of the external page. This will be used by Fin to link end users to the page it based its answer on. When a URL is not present, Fin will not reference the source.
Whether the external page should be used to answer questions by AI Agent. Will not default when updating an existing external page.
Whether the external page should be used to answer questions by AI Copilot. Will not default when updating an existing external page.
The unique identifier for the source of the external page which was given by Intercom. Every external page must be associated with a Content Import Source which represents the place it comes from and from which it inherits a default audience (configured in the UI). For a new source, make a POST request to the Content Import Source endpoint and an ID for the source will be returned in the response.
- The production API serverhttps://api.intercom.io/ai/external_pages
- The european API serverhttps://api.eu.intercom.io/ai/external_pages
- The australian API serverhttps://api.au.intercom.io/ai/external_pages
curl -i -X POST \
https://api.intercom.io/ai/external_pages \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.14' \
-d '{
"external_id": "abc1234",
"html": "<html><body><h1>Test</h1></body></html>",
"locale": "en",
"source_id": 44,
"title": "Test",
"url": "https://www.example.com"
}'successful
Always external_page
The unique identifier for the external page which is given by Intercom.
The URL of the external page. This will be used by Fin to link end users to the page it based its answer on.
Whether the external page should be used to answer questions by AI Agent.
Whether the external page should be used to answer questions by AI Copilot.
Deprecated. Use ai_agent_availability and ai_copilot_availability instead.
The unique identifier for the source of the external page which was given by Intercom. Every external page must be associated with a Content Import Source which represents the place it comes from and from which it inherits a default audience (configured in the UI). For a new source, make a POST request to the Content Import Source endpoint and an ID for the source will be returned in the response.
The identifier for the external page which was given by the source. Must be unique for the source.
The time when the external page was created.
The time when the external page was last updated.
{ "id": "21", "type": "external_page", "title": "Test", "html": "<html><body><h1>Test</h1></body></html>", "url": "https://www.example.com", "ai_agent_availability": true, "ai_copilot_availability": true, "fin_availability": true, "locale": "en", "source_id": 44, "external_id": "abc1234", "created_at": 1734537273, "updated_at": 1734537274, "last_ingested_at": 1734537274 }